package com.hzya.frame.grpU8.acctVouchInfo.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hzya.frame.sysnew.user.entity.SysUserEntity;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.grpU8.acctVouchInfo.entity.AcctVouchInfoEntity;
import com.hzya.frame.grpU8.acctVouchInfo.dao.IAcctVouchInfoDao;
import com.hzya.frame.grpU8.acctVouchInfo.entity.AcctVouchInfoEntityVo;
import com.hzya.frame.grpU8.acctVouchInfo.service.IAcctVouchInfoService;
import org.springframework.stereotype.Service; 
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.List;

/**
 * 子表(AcctVouchInfo)表服务实现类
 *
 * @author makejava
 * @since 2024-07-09 11:25:15
 */
@Service(value = "acctVouchInfoService")
public class AcctVouchInfoServiceImpl extends BaseService<AcctVouchInfoEntity, String> implements IAcctVouchInfoService {
     
    private IAcctVouchInfoDao acctVouchInfoDao;
    
    @Autowired
	public void setAcctVouchInfoDao(IAcctVouchInfoDao dao) {
		this.acctVouchInfoDao = dao;
		this.dao = dao;
	}

	/**
	 * @param jsonObject
	 * @return com.hzya.frame.web.entity.JsonResultEntity
	 * @Author lvleigang
	 * @Description 数据表
	 * @Date 11:52 上午 2024/3/27
	 **/
	@Override
	public JsonResultEntity queryData(JSONObject jsonObject) {
		AcctVouchInfoEntity entity = getData("jsonStr", jsonObject, AcctVouchInfoEntity.class);
		if(entity == null ){
			entity = new AcctVouchInfoEntity();
		}
		//判断分页
		if (entity.getPageNum() != null && entity.getPageSize() != null) {
			PageHelper.startPage(entity.getPageNum(), entity.getPageSize());
			List<AcctVouchInfoEntityVo> list = acctVouchInfoDao.queryData(entity);
			PageInfo pageInfo = new PageInfo(list);
			return BaseResult.getSuccessMessageEntity("查询数据成功", pageInfo);
		}else {
			List<AcctVouchInfoEntityVo> list = acctVouchInfoDao.queryData(entity);
			return BaseResult.getSuccessMessageEntity("查询数据成功", list);
		}
	}
}
